
package sample.org.itscool.msgbord;


// ----------------------------------------------------------------
// DB-MAP-TOOLが生成したクラスです
// ----------------------------------------------------------------
/**
 * メッセージ
 * @author 加納
 * 作成日 2005/8/12
 */
public class Message {
    //テーブルマッピング情報の定義
    public static final String TABLE = "MESSAGE";
    //フィールドマッピング情報の定義
    public static final String PK_COLUM_id = "ID";
    public static final String COLUM_name = "USER_NAME";
    public static final String COLUM_subject = "SUBJECT";
    public static final String COLUM_contents = "CONTENTS";
    
    
    
    /** ID */
    protected int id = -1;
    /** ユーザID */
    protected String name;
    /** サブジェクト */
    protected String subject;
    /** 内容 */
    protected String contents;
    
    
    /**
     * IDを取得します
     * @return idを返します
     */
    public int getId(){
        return id;
    }
    
    /**
     * IDを設定します
     * @return idを設定します
     */
    public void setId( int id ){
        this.id = id;
    }
    
    /**
     * ユーザIDを取得します
     * @return nameを返します
     */
    public String getName(){
        return name;
    }
    
    /**
     * ユーザIDを設定します
     * @return nameを設定します
     */
    public void setName( String name ){
        this.name = name;
    }
    
    /**
     * サブジェクトを取得します
     * @return subjectを返します
     */
    public String getSubject(){
        return subject;
    }
    
    /**
     * サブジェクトを設定します
     * @return subjectを設定します
     */
    public void setSubject( String subject ){
        this.subject = subject;
    }
    
    /**
     * 内容を取得します
     * @return contentsを返します
     */
    public String getContents(){
        return contents;
    }
    
    /**
     * 内容を設定します
     * @return contentsを設定します
     */
    public void setContents( String contents ){
        this.contents = contents;
    }
    
    
    
}
